---
layout: docs
page_title: connect http - Command
description: >-
  The "connect http" command command performs a target authorization or consumes an existing authorization token, and then launches a proxied http connection.
---

⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️
> [!IMPORTANT]  
> **Documentation Update:** Product documentation previously located in `/website` has moved to the [`hashicorp/web-unified-docs`](https://github.com/hashicorp/web-unified-docs) repository, where all product documentation is now centralized. Please make contributions directly to `web-unified-docs`, since changes to `/website` in this repository will not appear on developer.hashicorp.com.
⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️

# connect http

Command: `boundary connect http`

The `connect http` command authorizes a session against a target and invokes an
HTTP client for the connection.
The command fills in the local address and port.

@include 'cmd-connect-env-vars.mdx'

## Example

The following example authorizes a session to a target with the ID `ttcp_1234567890` and invokes the default HTTP client, `curl`:

```shell-session
$ boundary connect http -target-id=ttcp_1234567890
```

## Usage

<CodeBlockConfig hideClipboard>

```shell-session
$ boundary connect http [options] [args]
```

</CodeBlockConfig>

This command performs a target authorization or consumes an existing authorization token, and launches a proxied HTTP connection.

@include 'cmd-connect-command-options.mdx'

### HTTP options:

- `-host` `(string: "")` - The host value to use.
  This setting overrides the endpoint address from the session information.
  Boundary passes the specified host name through to the client for use in the host header and TLS SNI value, if supported.
  You can also specify the host value using the **BOUNDARY_CONNECT_HTTP_HOST** environment variable.

- `-method` `(string: "")` - The HTTP method to use.
If you don't set a method, Boundary uses the client's default.
You can also specify a method using a the **BOUNDARY_CONNECT_HTTP_METHOD** environment variable.

- `-path` `(string: "")` - The path that is appended to the
  generated URL.
  You can also specify a path using the **BOUNDARY_CONNECT_HTTP_PATH** environment variable.

- `-scheme` `(string: "")` - The scheme to use.
The default scheme is `https`.
You can also specify the scheme using the **BOUNDARY_CONNECT_HTTP_SCHEME** environment variable.

- `-style` `(string: "")` - How the CLI attempts to invoke an HTTP client.
This value also sets a suitable default for `-exec`, if you did not specify a value.
The default and currently-understood value is `curl`.
You can also specify how the CLI attempts to invoke the HTTP client using the **BOUNDARY_CONNECT_HTTP_STYLE** environment variable.

@include 'cmd-option-note.mdx'